local _G = _G
module(...)
best_state = {
	name = "Best state",
	tag = "synergy_group",
	order = 2,
	description = "Returns the best state of all its subelements",
	hint = "Best state from all elements in the group",
	rule = function(items)
		local ret = 3
		local n = 0
		local state_map = { "OK", "WARNING", "CRITICAL", "UNKNOWN" }
		for i,value in _G.ipairs(items) do
			if ret > value.status then ret = value.status end
			n = n + 1
		end
		if n == 0 then return {{ status = 3, msg = "No state, default state UNKNOWN" }} end
		return {{ status = ret, msg = "The best state is " .. state_map[ret+1] }}
	end,
	params = {}
}
